#include<bits/stdc++.h>
using namespace std;
int n,pola;
int main(){
    cin>>n;
    pola=n/2;
    int i=1,j=2*n;
    for(i,j;i<=pola;i++,j--){
        cout<<i<<" "<<j<<" ";
    }
    if(n%2==1) cout<<i++;
    cout<<'\n';
    for(i,j;i<=n;i++,j--){
        cout<<i<<" "<<j<<" ";
    }
    if(n%2==1) cout<<j;
    cout<<'\n';
    return 0;
}